Get Trending Creator
curl --request GET \
--url https://tiktok-api23.p.rapidapi.com/api/trending/creator \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://tiktok-api23.p.rapidapi.com/api/trending/creator"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://tiktok-api23.p.rapidapi.com/api/trending/creator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pagination": {
"has_more": true,
"page": 1,
"size": 20,
"total_count": 500
},
"creators": [
{
"tcm_id": "7414477993612935173",
"user_id": "62133858422239232",
"nick_name": "Fernanda",
"avatar_url": "https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/3fa0e612da6c7528e77ef65fbb79a932~tplv-tiktokx-cropcenter:100:100.png?dr=14579&refresh_token=582025f1&x-expires=1765980000&x-signature=%2FB5JXe3x6EpvbAkG9V7vZSR6Tfg%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=317596d8&idc=my",
"country_code": "US",
"follower_cnt": 9135515,
"liked_cnt": 668294555,
"tt_link": "https://www.tiktok.com/@ferchugimenez",
"tcm_link": "https://creatormarketplace.tiktok.com/ad#/author/7414477993612935173",
"items": [
{
"item_id": "7444674312784645432",
"cover_url": "https://p16-sign-va.tiktokcdn.com/tos-maliva-p-0068/oQIBhn2EeBMUWQR5wVQACFEBtlDxgUDdAfoB8J~tplv-noop.image?dr=18692&refresh_token=c200df0d&x-expires=1765831046&x-signature=5VYpmHh9pxYh60vgof9EJnKScag%3D&t=9276707c&ps=14f1eb3e&shp=9e36835a&shcp=317596d8&idc=my",
"tt_link": "https://www.tiktok.com/@author/video/7444674312784645432",
"vv": 13733332,
"liked_cnt": 516217,
"create_time": 1733348322
}
]
}
]
}
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500
}Trending
Get Trending Creator
Get Trending Creator
GET
/
api
/
trending
/
creator
Get Trending Creator
Authorizations
Rapid API Key. How can I get Rapid API Key?
Query Parameters
Page
Example:
1
Number of items per page (maximum is 20)
Required range:
x <= 20Example:
20
Sort by:
- follower: Follower
- engagement: Engagement
- avg_views: Popularity
Available options:
follower, engagement, avg_views Example:
"follower"
Audience count:
- 1: 10k -> 100k
- 2: 100k -> 1m
- 3: 1m -> 10m
- 4: > 10m
Available options:
1, 2, 3, 4 Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I

